package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 停机原因信息对象 dms_base_shut_reason
 *
 * @author Open Platform
 * @date 2024-01-12
 */
public class DmsBaseShutReason extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long shutReasonId;

    /** 原因编号 */
    @Excel(name = "原因编号")
    private String reasonCode;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 停机类型,关联dms_base_shut_type的shut_type_id */
    @Excel(name = "停机类型,关联dms_base_shut_type的shut_type_id")
    private Long shutTypeId;

    /** 停机原因 */
    @Excel(name = "停机原因")
    private String shutReason;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;
    private String  deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setShutReasonId(Long shutReasonId)
    {
        this.shutReasonId = shutReasonId;
    }

    public Long getShutReasonId()
    {
        return shutReasonId;
    }
    public void setReasonCode(String reasonCode)
    {
        this.reasonCode = reasonCode;
    }

    public String getReasonCode()
    {
        return reasonCode;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setShutTypeId(Long shutTypeId)
    {
        this.shutTypeId = shutTypeId;
    }

    public Long getShutTypeId()
    {
        return shutTypeId;
    }
    public void setShutReason(String shutReason)
    {
        this.shutReason = shutReason;
    }

    public String getShutReason()
    {
        return shutReason;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shutReasonId", getShutReasonId())
            .append("reasonCode", getReasonCode())
            .append("deviceId", getDeviceId())
            .append("shutTypeId", getShutTypeId())
            .append("shutReason", getShutReason())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
